<div class="ui modal form">
  <i class="close icon"></i>
  <div class="header">
    Crear
  </div>
  <div class="content">
    <%= form_for @user, url: admin_user_users_path, remote: true do |form| %>

      <%= error_message(@user) %>

      <div class="ui two column stackable grid">
        <div class="column">
          <strong>Rol</strong>
          <%= form.select(:role_id, Admin::User::Role.all.collect {|role| [role.name.humanize, role.id]}.sort,
                          {prompt: 'Seleccione una opción'}, {class: 'ui fluid selection dropdown'}) %>
        </div>
        <div class="column">
          <strong>Género</strong>
          <%= form.select(:gender_id, Admin::User::Gender.all.collect {|gender| [gender.name.humanize, gender.id]}.sort,
                          {prompt: 'Seleccione una opción'}, {class: 'ui fluid selection dropdown'}) %>
        </div>
      </div>

      <div class="ui two column stackable grid">
        <div class="column">
          <strong>Tipo de identificación</strong>
          <%= form.select(:identification_type_id, Admin::User::IdentificationType.all.collect {|id_type| [id_type.name.humanize, id_type.id]}.sort,
                          {prompt: 'Seleccione una opción'}, {class: 'ui fluid selection dropdown'}) %>
        </div>
        <div class="column">
          <strong>Identificación</strong>
          <%= form.text_field :identification_number, required: true %>
        </div>
      </div>

      <div class="ui four column stackable grid">
        <div class="column">
          <strong>Primer apellido</strong>
          <%= form.text_field :first_last_name, required: true %>
        </div>
        <div class="column">
          <strong>Segundo apellido</strong>
          <%= form.text_field :second_last_name %>
        </div>
        <div class="column">
          <strong>Primer nombre</strong>
          <%= form.text_field :first_name, required: true %>
        </div>
        <div class="column">
          <strong>Segundo nombre</strong>
          <%= form.text_field :second_name %>
        </div>
      </div>

      <div class="ui four column stackable grid">
        <div class="column">
          <strong>Fecha de nacimiento</strong>
          <%= form.date_field :birth_date, required: true %>
        </div>
        <div class="column">
          <strong>Número celular</strong>
          <%= form.number_field :mobile_number %>
        </div>
        <div class="column">
          <strong>Número convencional</strong>
          <%= form.number_field :house_number %>
        </div>
        <div class="column">
          <strong>Email</strong>
          <%= form.email_field :email, required: true %>
        </div>
      </div>

      <div class="hr-divider"></div>

      <div class="ui one column stackable grid">
        <div class="column">
          <%= form.submit 'Guardar', class: 'ui fluid green button' %>
        </div>
      </div>

    <% end %>
  </div>
</div>

<script>
  $('.ui.dropdown').dropdown();
</script>
